## dmachinemon 0.11

=== Documentation/Makefile ===
#    dmachinemon documentation makefile
#    Copyright (C) 2001 Junichi Uekawa
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# This portion of code is separated from the other directory, and 
# needs to be made separately. The reason is that I don't want to 
# need sgmltools on all of the cluster systems to compile 
# dmachinemon on these systems.
# -- 25 Dec 2001, Junichi Uekawa <dancer@debian.org> <dancer@netfort.gr.jp>

PROJECT=dmachinemon-doc.html dmachinemon-doc.ps

all: ${PROJECT}

clean:
	rm -f ${PROJECT} *~ *.bak

%.html: %.sgml
	sgmltools -b onehtml $<

%.txt: %.sgml
	sgmltools -b txt $<

%.ps: %.sgml
	sgmltools -b ps $<
