=== debian/changelog ===
dmachinemon (0.11) unstable; urgency=low

  * One modification in hostname parser. Should not break, but probably
    required for solaris port (which is not quite complete).
  * GTK+ is optional, add --with-gtk=yes to configure to force usage in 
    Debian package.
  * Apply package description fix (closes: #140601).

 -- Junichi Uekawa <dancer@debian.org>  Mon,  1 Apr 2002 02:17:12 +0900

dmachinemon (0.10) unstable; urgency=low

  * Initial upload to Debian archive.
  * tools/dmscripts/dmclean: added "exec < /dev/null", and other misc minor things, to make it work better, and feel better.
  * README, INSTALL: updated them to note of how to compile from cvs checkout.
  * dmachinemon-master.1: Fixed partial doc.
  * removed the bogus GTK dependency from htmloutput and pdga. dmachinemon will
    no longer depend on GTK+ (hopefully!)
  * fixed typo in dmrun script, and dmboot script.
  * tools/dmscripts/dmrun: added command-line option parser, parsing "--np".
  * added depends on debianutils for "/usr/bin/tempfile"
  * fixed libp2p so that it does actually take into account the command-line
    parameter passed on to it.
  * soname is bumped up to 3:0:0, with some fluctuations. libp2p acts
    incompatibly.
  * dmscripts have "--rc" command-line option to specify extra/additional config file.
  * minor bugfixes to dmscripts option handling.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Feb 2002 22:25:24 +0900

dmachinemon (0.9) unstable; urgency=low

  * new version. "See my Christmas chants" release.
    Fixing many glitches, and minor distribution stuff.
  * Adding execute_* scripts to distribution, removing the hack in
    debian/rules to install them.
  * configure.in.debianin, Makefile.am, example/Makefile.am: Adding
    example/ to automake control.
  * */Makefile.am: adding manpages to automake control (EXTRA_DIST)
  * removed junk from configure.in.debianin.
  * dmachinemon/force-compile: the static binary build script is updated.
  * Added --static-link option to the list of command line options
    available, so that static linkage can be defined from command-line to
    handle network structures where  freely relinking is not possible.
  * Implemented "--static-link u" option with
    dmachinemon-servent, and "--static-link d" option with
    dmachinemon-servent/dmachinemon-master
  * dmachinemon/dmachinemon-libp2papplication.c: cosmetic debug message
    removal.
  * Binary compatibility was broken with the static-link option, thus
    soname is bumped up to "2:0:0".
  * debian/control: Removed reference to dmachinemon-html which never existed.
  * Makefile.am: autogen.sh is added to EXTRA_DIST
  * tools/dmscripts/example-dmrc: added as an example. 
  * Documentation/dmachinemon-doc.sgml: updated the documentation slightly.
  * Documentation/Makefile: updated, writing comments on why it is
    separate from the main build tree.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Dec 2001 23:21:11 +0900

dmachinemon (0.8) unstable; urgency=low

  * new version, after the initial release to public.
  * fix makefiles regarding shared library building.
    reading the manual for libtool, I should specify "*.la" files,
    instead of trying to link in .so files directly.
  * dmachinemon-master and dmachinemon-servent are now
    built with shared-library, reducing the file size from
    70 and 80k to 27 and 48k (is it significant?)
  * adding dmboot, dmclean, and dmrun commands, to use dsh
    and other things effectively.
  * bumping requirement for dsh to 0.0.17, because the scripts
    dmboot, dmclean, and dmrun require them.
  * shlibs.local file is autogenerated from shlibs.local.debianin
  * killall is included in psmisc, dmclean requires it, so a new
    dependency is added.
  * Added documentation for dmclean, dmrun, and dmboot scripts.
  * Now the hooks to install manpages are working (again).
    Debian packages should see them (unless it is a backport package to potato).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 20 Dec 2001 20:57:11 +0900

dmachinemon (0.7) unstable; urgency=low

  * "Preparing for the release"
  * Improving manpages
  * Fixing execute_dmachinemon script and manpage.
  * Fixing notes on dmachinemon-libp2papplication.c, so that it gives more 
    verbose notes and more clue.
  * Fixing notes on dmachinemon-servent.1 so that the options
    "--layers" and "--maxreconnect" are documented.
  * dmachinemon-htmloutput is modified to use the uniform commandline
    parser.
  * execute_dmachinemonhtml is fixed to support dmachinemon-htmloutput
    with the new command-line scheme. Fixing manpages to that accord.
  * Documentation/dmachinemon.sgml: updating documentation slightly,
    but this documentation is too outdated, it needs some
    basic reorganization, I think.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 11 Dec 2001 20:48:33 +0900

dmachinemon (0.6) unstable; urgency=low

  * Create a new version because changelog for 0.5 has gotten
    too long, and I don't use scripts which are version dependent any more,
    I can change my versions fine...
  * Weird special casing for potato in debian/rules related to auto*
    was removed.
  * Changed treeview* to use the common command-line option processor
  * Include doc++-generated documentation in libdmachinemon0-dev
  * Add build-depends on doc++
  * update documentation using doc++ style comments.
    They are written with /** documentation */ style.
  * debian/rules autogenerates debian/control and
    libdmachinemon#SONAME#.postinst, by parsing dmachinemon/Makefile.am
    so that it is easier to change sonames.
  * dmachinemon-node is obsolete.
  * Bumped soname for libdmachinemon to 1, because interface has changed
    for dm_randomly_change_route_to and dm_nodeinfo_write_out,
    and libnodeinfo is removed from libdmachinemon, because it seems to be 
    not required at all.
  * dieonload flag added. When the load average value is exceeded,
    the node will die.

