=== debian/control ===
Source: dmachinemon
Section: admin
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>> 2.0.0), libgtk1.2-dev, automake, autoconf, libtool, doc++
Build-Conflicts: libdmachinemon-dev
Standards-Version: 3.5.6

Package: dmachinemon
Architecture: any
Depends: ${shlibs:Depends}
Recommends: dsh (>> 0.0.17), dmachinemon-servent, dmachinemon-master
Suggests: dmachinemon-gtkiface
Description: Network-wide monitoring suite for monitoring machine status
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 Includes convenience scripts, and other tools.
 .
 dmachinemon-html needs to be available on html-generating system

Package: dmachinemon-gtkiface
Architecture: any
Depends: ${shlibs:Depends}
Suggests: dmachinemon
Description: Network-wide monitoring suite for monitoring machine status
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 this package contains dmachinemon-gtkiface
 a GTK+ interface to dmachinemon

Package: libdmachinemon3
Architecture: any
Depends: ${shlibs:Depends}
Description: P2P local networking library -- runtime libs
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 this package contains libdmachinemon
 runtime library for using dmachinemon.

Package: libdmachinemon3-dev
Architecture: any
Depends: libdmachinemon3 (= ${Source-Version})
Provides: libdmachinemon-dev
Conflicts: libdmachinemon-dev
Description: P2P local networking library -- development files.
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 this package contains libdmachinemon development files.

Package: dmachinemon-master
Architecture: any
Depends: ${shlibs:Depends}
Suggests: dmachinemon
Description: Network-wide machine monitoring suite -- master
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 This package includes dmachinemon-master, which needs to be 
 installed on the master system.

Package: dmachinemon-servent
Architecture: any
Depends: ${shlibs:Depends}
Suggests: dmachinemon
Description: Network-wide monitoring suite -- servent
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 This package includes dmachinemon-servent, for servent 
 systems, which often are cluster nodes.
 .
 A servent system is a node which does the role of a 
 server and a client, providing and requesting information
 at the same time.

Package: dmachinemon-treeview
Architecture: any
Depends: ${shlibs:Depends}
Description: Network-wide machine monitoring suite - topology viewer
 For monitoring a bunch of network-connected computers,
 dmachinemon is an ideal software. It can be used to show
 load average, available memory, and top processes
 running on each machine.
 .
 Includes network topology debugging (tree structure viewing) suite.
