=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
SHELL=/bin/bash



# This is the debhelper compatability version to use.
export DH_COMPAT=2
DMACHINESONAME=$(shell cat dmachinemon/Makefile.am | sed -n 's/DMACHINEMON_SONAME = //p' | sed 's/:[^:]*:[^:]*$$//' )
DMACHINEMON_VERSION=$(shell dpkg-parsechangelog | sed -n "s/^Version: //p")
LIBDMACHINEMON=libdmachinemon$(DMACHINESONAME)
LIBDMACHINEMONDEV=libdmachinemon$(DMACHINESONAME)-dev


configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --with-gtk=yes
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	touch configure.in
	touch stamp-h.in
	touch aclocal.m4
	touch Makefile.am
	touch Makefile.in
	touch configure
	touch config.status
	touch Makefile
	$(MAKE)
	touch build-stamp

configure.in: configure.in.debianin 
	echo "dnl This file is auto-generated from configure.in.debianin" > configure.in
	sed 's/#DMACHINEMON_VERSION#/'$(DMACHINEMON_VERSION)'/g' < configure.in.debianin >> configure.in
	echo "#define DMACHINEMON_VERSION \""$(DMACHINEMON_VERSION)"\""  > ./VERSION.h

clean: configure.in 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	for FILE in dmachinemon-servent-static dmachinemon-node-static dmachinemon-master-static ; do \
		rm -f dmachinemon/$$FILE; \
	done
	-$(MAKE) clean
	-$(MAKE) distclean
	dh_clean
	sed 's/#SONAME#/'$(DMACHINESONAME)'/g' < debian/control.debianin > debian/control
	sed -e 's/#SONAME#/'$(DMACHINESONAME)'/g' \
		-e 's/#VERSION#/'$(DMACHINEMON_VERSION)'/g' \
	 < debian/shlibs.local.debianin > debian/shlibs.local
	rm -f debian/libdmachinemon*.postinst

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/machine-monitor.
	make install DESTDIR=${PWD}/debian/dmachinemon
	for A in daemon.png dmachinemon.css gradationbackground.png gradationbox.png ; do cp example/$$A ${PWD}/debian/dmachinemon/usr/share/doc/dmachinemon/examples/ ; done
	install -d ${PWD}/debian/${LIBDMACHINEMON}/usr/lib
	mv ${PWD}/debian/dmachinemon/usr/lib/libdmachinemon.so.* ${PWD}/debian/${LIBDMACHINEMON}/usr/lib
	# generate libdmachinemon-dev
	install -d ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/lib
	install -d ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/include
	mv ${PWD}/debian/dmachinemon/usr/lib/libdmachinemon.{a,la,so} ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/lib
	mv ${PWD}/debian/dmachinemon/usr/include/* ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/include
	install -d ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/share/doc/${LIBDMACHINEMONDEV}/HTML/
	cd ${PWD}/debian/${LIBDMACHINEMONDEV}/usr/share/doc/${LIBDMACHINEMONDEV}/HTML && \
	LANG=C LC_ALL=C doc++ ${PWD}/dmachinemon/*.[ch]
	cp debian/libdmachinemon.postinst.debianin debian/libdmachinemon$(DMACHINESONAME).postinst

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_movefiles --sourcedir=debian/dmachinemon
	dh_installcron
	test -x /usr/bin/dh_installman  && ( \
	dh_installman -pdmachinemon execute_dmachinemonhtml.1 execute_dmachinemon.1 tools/htmloutput/dmachinemon-htmloutput.1 \
	  tools/dmscripts/dmrun.1 tools/dmscripts/dmboot.1 tools/dmscripts/dmclean.1 &&  \
	dh_installman -pdmachinemon-master dmachinemon/dmachinemon-master.1 && \
	dh_installman -pdmachinemon-servent dmachinemon/dmachinemon-servent.1 && \
	dh_installman -pdmachinemon-gtkiface tools/gtkiface/dmachinemon-gtkiface.1 ) || true
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps -l${PWD}/debian/${LIBDMACHINEMON}/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
